from django.contrib import admin
from django.contrib.auth.admin import UserAdmin

from ..models import (URN, Alignment, Author, Book, City, Comment, Description,
                     Edition, Editor, Keyword, KeywordCategory, Medium, Name, Language,
                     Passage, Scholium, Text, ValidationLevelName, Work)

from .language import LanguageAdmin
from .alignment import AlignmentAdmin
from .passage import PassageAdmin

admin.site.register(Alignment, AlignmentAdmin)
admin.site.register(Language, LanguageAdmin)

class AuthorAdmin(admin.ModelAdmin):
    search_fields = ('names__name', )
admin.site.register(Author, AuthorAdmin)

admin.site.register(Book)

class CityAdmin(admin.ModelAdmin):
    search_fields = ('names__name', )
admin.site.register(City, CityAdmin)

admin.site.register(Comment)

class DescriptionAdmin(admin.ModelAdmin):
    search_fields = ('description', )

admin.site.register(Description, DescriptionAdmin)
admin.site.register(Edition)
admin.site.register(Editor)

class KeywordAdmin(admin.ModelAdmin):
    search_fields = ('names__name', )
admin.site.register(Keyword, KeywordAdmin)

admin.site.register(KeywordCategory)
admin.site.register(Medium)

class NameAdmin(admin.ModelAdmin):
    search_fields = ('name', )

admin.site.register(Name)
admin.site.register(Passage, PassageAdmin)
admin.site.register(Scholium)
admin.site.register(Text)
admin.site.register(URN)
admin.site.register(ValidationLevelName)
admin.site.register(Work)
