import logging
import re

from meleager.models import (Alignment, Author, Book, City, Description,
                             Edition, Manuscript, Medium, Name, Passage, Keyword, KeywordCategory,
                             Scholium, Text, Work)

from .constants import API_URL
from .managers.data_manager import DataManager
from .managers.languages import create_languages
from .managers.passages import PassageFromApi

logger = logging.getLogger(__name__)
logging.basicConfig(level=logging.DEBUG, format="%(message)s")


def import_all():
    # DELETE EVERYTHING
    Description.objects.all().delete()
    Name.objects.all().delete()
    Alignment.objects.all().delete()
    Medium.objects.all().delete()
    Manuscript.objects.all().delete()
    Keyword.objects.all().delete()
    KeywordCategory.objects.all().delete()
    Book.objects.all().delete()
    Work.objects.all().delete()
    Author.objects.all().delete()
    Passage.objects.all().delete()
    Scholium.objects.all().delete()
    City.objects.all().delete()
    Text.objects.all().delete()
    Edition.objects.all().delete()

    # CREATE PASSAGES
    passages = DataManager.get(f"{API_URL}/v1/entities/")
    for passage in passages:
        PassageFromApi(passage["id_entity"])
