import logging

from iso639 import languages

from meleager.models import Language

from ..constants import API_URL
from .data_manager import DataManager

all_langs = ((l.part3, l.name) for l in languages if l.part3)

logger = logging.getLogger(__name__)


def create_languages():
    for code, name in all_langs:
        _, created = Language.objects.update_or_create(
            code=code, defaults={"name": name}
        )
        logger.info("Language: %s %s", code, ["(OK)", "(NEW)"][created])
