# Generated by Django 3.1.3 on 2021-02-05 22:20

import django.contrib.gis.db.models.fields
import django.contrib.postgres.fields.ranges
from django.db import migrations, models
import django.utils.timezone
import django_extensions.db.fields.json


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Alignment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('validation', models.IntegerField(choices=[(0, 'Validation level 0, see ValidationLevelName.validation_level = 0 for the validation level name.'), (1, 'Validation level 1, see ValidationLevelName.validation_level = 1 for the validation level name.')], default=0, help_text='The current validation level of this resource.')),
                ('alignment_data', django_extensions.db.fields.json.JSONField(default=dict, help_text='The alpheios alignment json.')),
            ],
            options={
                'permissions': [('set_validation_level_0', 'The permission to set validation level 0, see ValidationLevelName.validation_level = 0 for the validation level name.'), ('set_validation_level_1', 'The permission to set validation level 1, see ValidationLevelName.validation_level = 1 for the validation level name.')],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AlternativeUri',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('source', models.CharField(blank=True, default='', max_length=100)),
                ('uri', models.URLField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('born_range_year_date', django.contrib.postgres.fields.ranges.IntegerRangeField(blank=True, help_text='The date range for the author born date.', null=True)),
                ('died_range_year_date', django.contrib.postgres.fields.ranges.IntegerRangeField(blank=True, help_text='The date range for the author dead date.', null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Book',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('number', models.IntegerField(db_index=True, verbose_name='Book number')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('location', django.contrib.gis.db.models.fields.PointField(null=True, srid=4326)),
            ],
            options={
                'verbose_name_plural': 'cities',
            },
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('comment_type', models.CharField(choices=[('user_note', 'A note by an user')], db_index=True, default='user_note', max_length=20)),
                ('comment_title', models.TextField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CommentTextAnchor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('anchor_word', models.CharField(default=' ', max_length=255)),
                ('occurrence', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Description',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('description', models.TextField(blank=True, default='')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Edition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('edition_type', models.IntegerField(choices=[(0, 'Manuscript'), (1, 'Translation'), (2, 'Commentary'), (3, 'Scholia'), (4, 'Alignment')])),
                ('metadata', models.JSONField(default=dict, verbose_name='Metadata for Edition')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Editor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ExternalReference',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('url', models.URLField()),
            ],
        ),
        migrations.CreateModel(
            name='Keyword',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='KeywordCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
            ],
            options={
                'verbose_name_plural': 'Keyword categories',
            },
        ),
        migrations.CreateModel(
            name='Language',
            fields=[
                ('code', models.CharField(max_length=3, primary_key=True, serialize=False, verbose_name='Language code (ISO639)')),
                ('iso_name', models.CharField(max_length=100, verbose_name='Language name')),
                ('preferred', models.BooleanField(db_index=True, default=False, verbose_name='Favorite language')),
            ],
            options={
                'ordering': ('-preferred', 'code'),
            },
        ),
        migrations.CreateModel(
            name='Manuscript',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('title', models.CharField(max_length=255)),
                ('url', models.URLField(help_text='The URL of this image', max_length=500)),
                ('credit', models.CharField(blank=True, default='', max_length=255)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Medium',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('type', models.CharField(choices=[('image', 'Image'), ('video', 'Video'), ('audio', 'Audio')], default='image', max_length=8)),
                ('url', models.URLField(help_text='The URL of this image', max_length=500)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Name',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.TextField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Passage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('validation', models.IntegerField(choices=[(0, 'Validation level 0, see ValidationLevelName.validation_level = 0 for the validation level name.'), (1, 'Validation level 1, see ValidationLevelName.validation_level = 1 for the validation level name.')], default=0, help_text='The current validation level of this resource.')),
                ('fragment', models.IntegerField(db_index=True, help_text='The fragment number in book.')),
                ('sub_fragment', models.CharField(blank=True, db_index=True, default='', help_text='The sub fragment number in book.', max_length=3)),
            ],
            options={
                'permissions': [('manage_own_passage', 'Can manage (edit/delete) their own Passage items')],
            },
        ),
        migrations.CreateModel(
            name='Scholium',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('validation', models.IntegerField(choices=[(0, 'Validation level 0, see ValidationLevelName.validation_level = 0 for the validation level name.'), (1, 'Validation level 1, see ValidationLevelName.validation_level = 1 for the validation level name.')], default=0, help_text='The current validation level of this resource.')),
                ('number', models.IntegerField(db_index=True, null=True, verbose_name='Scholium ID')),
            ],
            options={
                'verbose_name_plural': 'Scholia',
            },
        ),
        migrations.CreateModel(
            name='Text',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('validation', models.IntegerField(choices=[(0, 'Validation level 0, see ValidationLevelName.validation_level = 0 for the validation level name.'), (1, 'Validation level 1, see ValidationLevelName.validation_level = 1 for the validation level name.')], default=0, help_text='The current validation level of this resource.')),
                ('status', models.IntegerField(choices=[(0, 'Draft'), (1, 'Published'), (2, 'Deleted')], default=1)),
                ('text', models.TextField(help_text='The string of this text')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='URN',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('source', models.CharField(max_length=255, null=True)),
                ('urn', models.URLField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ValidationLevelName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('validation_level', models.IntegerField(choices=[(0, 'Validation level 0, see ValidationLevelName.validation_level = 0 for the validation level name.'), (1, 'Validation level 1, see ValidationLevelName.validation_level = 1 for the validation level name.')], help_text='The validation level integer associated with name', unique=True)),
                ('rank', models.IntegerField()),
                ('name', models.TextField(help_text='The name of this validation level', unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Work',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('alternative_urns', models.ManyToManyField(blank=True, help_text='The alternative URNs of this resource.', related_name='meleager_work_alternative_urns', related_query_name='meleager_works_alternative_urns', to='meleager.URN')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
