""" Makapuf

Mahuf.

"""
from django.apps import apps
from django.db import models

from .mixins import DescriptableResourceMixin, EditableResourceMixin


class BookManager(models.Manager):
    def get_by_natural_key(self, number, work_pk):
        work = apps.get_model("meleager", "Work").objects.get(pk=work_pk)
        return self.get(number=number, work=work)

class Book(DescriptableResourceMixin, EditableResourceMixin, models.Model):
    """ Book model """

    objects = BookManager()

    work = models.ForeignKey("meleager.Work", on_delete=models.CASCADE)
    number = models.IntegerField("Book number", null=False, db_index=True)

    def natural_key(self):
        return (self.number, self.work.pk)
    natural_key.dependencies = ['meleager.Work']

    def __str__(self):
        return f"Book {self.number}"
