from django.contrib.gis.db import models as gis_models
from django.db import models

from .mixins import DescriptableResourceMixin, EditableResourceMixin


class City(EditableResourceMixin, DescriptableResourceMixin, models.Model):
    names = models.ManyToManyField(
        "meleager.Name",
        related_name="cities",
        help_text="The multilingual names for this object.",
    )

    location = gis_models.PointField(null=True)

    def __str__(self):
        return self.names.first().name

    class Meta:
        verbose_name_plural = "cities"
