from rest_framework import serializers, viewsets

from meleager.models import Author
from .name import MinimalLinkedNameSerializer
from .city import CitySerializer

class NumericRange(serializers.Field):
    def to_representation(self, value):
        return {"lower": value.lower, "upper": value.upper}


class AuthorSerializer(serializers.HyperlinkedModelSerializer):
    names = MinimalLinkedNameSerializer(many=True)
    city_born = CitySerializer()
    city_died = CitySerializer()

    class Meta:
        model = Author
        fields = "__all__"

    born_range_year_date = NumericRange()
    died_range_year_date = NumericRange()
