import json

from rest_framework import serializers, viewsets

from meleager.models import City
from .name import MinimalLinkedNameSerializer

class Location(serializers.Field):
    def to_representation(self, value):
        return json.loads(value.geojson)


class CitySerializer(serializers.HyperlinkedModelSerializer):
    names = MinimalLinkedNameSerializer(many=True)
    class Meta:
        model = City
        fields = "__all__"

    location = Location()
