from rest_framework import serializers

from meleager.models import Keyword, KeywordCategory
from .name import MinimalLinkedNameSerializer

class KeywordCategorySerializer(serializers.HyperlinkedModelSerializer):
    names = MinimalLinkedNameSerializer(many=True)
    url = serializers.HyperlinkedIdentityField(view_name="keyword_cat-detail")

    class Meta:
        model = KeywordCategory
        fields = "__all__"


class KeywordSerializer(serializers.HyperlinkedModelSerializer):
    category = KeywordCategorySerializer()
    names = MinimalLinkedNameSerializer(many=True)

    class Meta:
        model = Keyword
        fields = "__all__"

class MinimalLinkedKeywordSerializer(serializers.ModelSerializer):
    names = MinimalLinkedNameSerializer(many=True)
    class Meta:
        model = Keyword
        fields = ('names', 'url')