from rest_framework import serializers

from meleager.models import Name


class NameSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Name
        exclude = ('url', )

class MinimalLinkedNameSerializer(serializers.ModelSerializer):
    language = serializers.CharField(source="language.code")

    class Meta:
        model = Name
        fields = ('name', 'language')

class NameInlineSerializer(serializers.ModelSerializer):
    class Meta:
        model = Name
        fields = "__all__"
