from rest_framework import serializers, viewsets

from meleager.models import Passage
from .author import AuthorSerializer
from .book import BookSerializer
from .keyword import MinimalLinkedKeywordSerializer

class PassageSerializer(serializers.HyperlinkedModelSerializer):
    authors = AuthorSerializer(many=True)
    book = BookSerializer()
    texts = serializers.HyperlinkedRelatedField(
        many=True, read_only=True, view_name="text-detail"
    )
    keywords = MinimalLinkedKeywordSerializer(many=True)
    scholia = serializers.HyperlinkedRelatedField(
        source="scholia",
        many=True, read_only=True, view_name="scholium-detail",
    )

    class Meta:
        model = Passage
        exclude = ['alternative_uris', 'external_references']
