import re

from rest_framework import viewsets
import django_filters.rest_framework

from ..models import Passage
from ..serializers.passage import PassageSerializer


class PassageViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = Passage.objects.all()
    serializer_class = PassageSerializer
    http_method_names = ['get', 'head']
    filter_backends = [django_filters.rest_framework.DjangoFilterBackend]
    filterset_fields = ["book", "fragment", "sub_fragment"]

    # def get_queryset(self):
    #     qs = Passage.objects.all()
    #     book = self.request.query_params.get('book', None)
    #     fragment = self.request.query_params.get('fragment', None)
    #     sub_fragment = None

    #     if book is not None:
    #         qs = qs.filter(book__number=book)

    #     if fragment is not None:
    #         regexp = r"(\d+)(\w*)"
    #         matches = re.match(regexp, fragment)
    #         if matches:
    #             fragment = int(matches[1])
    #             sub_fragment = matches[2]

    #         qs = qs.filter(fragment=fragment)
    #         if sub_fragment:
    #             qs = qs.filter(sub_fragment=sub_fragment)

    #     return qs