from django import forms
from meleager.models import City, Description, Name
from web.forms.description import DescriptionWidget
from web.forms.name import NameWidget


class CityForm(forms.ModelForm):
    names = forms.ModelMultipleChoiceField(
        queryset=Name.objects.exclude(cities=None), widget=NameWidget()
    )

    descriptions = forms.ModelMultipleChoiceField(
        queryset=Description.objects.exclude(), widget=DescriptionWidget()
    )

    class Meta:
        model = City
        fields = "__all__"
