from django import forms

from meleager.models import Language


class CommentCreateForm(forms.Form):
    comment_title = forms.CharField()
    description = forms.CharField(widget=forms.Textarea(attrs={"rows": 2, "cols": 40}))
    language = forms.ModelChoiceField(queryset=Language.objects.preferred())


class CommentUpdateForm(forms.Form):
    description = forms.CharField(widget=forms.Textarea(attrs={"rows": 2, "cols": 40}))
    language = forms.ModelChoiceField(queryset=Language.objects.preferred())


class CommentDeleteForm(forms.Form):
    pk = forms.CharField(widget=forms.widgets.HiddenInput())
