from django.urls import path, include

from ..views import index_view
from .cities import urlpatterns as cities_urls
from .passages import urlpatterns as passages_urls
from .descriptions import urlpatterns as descriptions_urls
from .authors import urlpatterns as authors_urls
from .comments import urlpatterns as comments_urls
from .keywords import urlpatterns as keywords_urls
from .texts import urlpatterns as texts_urls


app_name = "web"

urlpatterns = [
    path("", index_view, name="index"),
    path("cities/", include(cities_urls)),
    path("passages/", include(passages_urls)),
    path("descriptions/", include(descriptions_urls)),
    path("authors/", include(authors_urls)),
    path("comments/", include(comments_urls)),
    path("keywords/", include(keywords_urls)),
    path("texts/", include(texts_urls)),
]
