from django.urls import path

from ..views.authors import (
    AuthorCreate,
    AuthorDetail,
    AuthorList,
    AuthorUpdate,
    add_author_to_passage,
    remove_author_from_passage,
)

urlpatterns = [
    path(
        "add/passages/<int:passage_pk>/",
        add_author_to_passage,
        name="passage-add-author",
    ),
    path(
        "remove/passages/<int:passage_pk>/",
        remove_author_from_passage,
        name="passage-remove-author",
    ),
    path("", AuthorList.as_view(), name="author-list"),
    path("new/", AuthorCreate.as_view(), name="author-update"),
    path("<int:pk>/", AuthorDetail.as_view(), name="author-detail"),
    path("<int:pk>/edit/", AuthorUpdate.as_view(), name="author-update"),
]
