from django.urls import path

from ..views.cities import (
    CityCreate,
    CityDetail,
    CityList,
    CityUpdate,
    add_city_to_passage,
    remove_city_from_passage,
)

urlpatterns = [
    path(
        "add/passage/<int:passage_pk>/",
        add_city_to_passage,
        name="passage-add-city",
    ),
    path(
        "remove/passage/<int:passage_pk>/",
        remove_city_from_passage,
        name="passage-remove-city",
    ),
    path("", CityList.as_view(), name="city-list"),
    path("new/", CityCreate.as_view(), name="city-update"),
    path("<int:pk>/", CityDetail.as_view(), name="city-detail"),
    path("<int:pk>/edit/", CityUpdate.as_view(), name="city-update"),
]
