from django.urls import path
from ..views.comments import (
    comment_create,
    comment_delete,
    comment_update,
    CommentDetail,
)

urlpatterns = [
    path(
        "<int:passage_pk>/create/",
        comment_create,
        name="comment-create",
    ),
    path(
        "<int:passage_pk>/<int:comment_pk>/update/",
        comment_update,
        name="comment-update",
    ),
    path(
        "<int:passage_pk>/<int:comment_pk>/delete/",
        comment_delete,
        name="comment-delete",
    ),
    path("<int:pk>/", CommentDetail.as_view(), name="comment-detail"),
]
