from django.urls import path, re_path
from ..views.passage import (
    PassageDetail,
    PassageUpdate,
    passage_detail_pk,
)
from ..views.scholium import scholium_view

urlpatterns = [
    re_path(
        "urn:cts:greekLit:tlg7000.tlg001.ag:(?P<book>\d+).(?P<fragment>\d+)(?P<sub_fragment>[^/]*)/",
        PassageDetail.as_view(),
        name="passage-detail",
    ),
    path("<int:passage_pk>/", passage_detail_pk, name="passage-detail-pk"),
    path(
        "urn:cts:greekLit:tlg5011.tlg001.sag:<int:book>.<int:fragment>.<int:number>/",
        scholium_view,
        name="scholium",
    ),
    path("<int:pk>/edit/", PassageUpdate.as_view(), name="passage-update"),
]
