from django.shortcuts import get_object_or_404, render

from meleager.models import Language, Scholium
from web.forms.passage import AddKeywordToPassageForm


def scholium_view(request, book, fragment, number):
    scholium = get_object_or_404(
        Scholium,
        passage__book__number=book,
        passage__fragment=fragment,
        number=number,
    )
    preferred_languages = Language.objects.preferred()
    keywords = scholium.keywords.all()
    keywords_categories = {keyword.category for keyword in keywords}
    add_keyword_to_passage_form = AddKeywordToPassageForm()

    return render(
        request,
        "web/scholium.html",
        {
            "book": scholium.passage.book,
            "passage": scholium.passage,
            "scholium": scholium,
            "preferred_languages": preferred_languages,
            "keywords": keywords,
            "keywords_categories": keywords_categories,
            "add_keyword_to_passage_form": add_keyword_to_passage_form,
        },
    )
