from django.shortcuts import get_object_or_404, redirect, render
from django.views import View

from web.forms.text import AddTextToPassageForm
from meleager.models import Passage


class AddTextToPassage(View):
    def get(self, request, passage_pk):
        passage = get_object_or_404(Passage, pk=passage_pk)

        return render(
            request,
            "web/passage/add_text_to_passage.html",
            {"passage": passage, "add_text_to_passage_form": AddTextToPassageForm()},
        )

    def post(self, request, passage_pk):
        add_text_to_passage_form = AddTextToPassageForm(request.POST)
        passage = get_object_or_404(Passage, pk=passage_pk)
        if add_text_to_passage_form.is_valid():
            text = add_text_to_passage_form.save()
            passage.texts.add(text)
            return redirect(f"{passage.get_absolute_url()}#texts")
        else:
            return render(
                request,
                "web/passage/add_text_to_passage.html",
                {
                    "passage": passage,
                    "add_text_to_passage_form": add_text_to_passage_form,
                },
            )
